Page MenuHome

Initial Sapling Tree Gen addon port to 2.80
ClosedPublic

Authored by CansecoGPC (CansecoGPC) on Dec 16 2018, 5:25 PM.

Details

Summary

Here are some patches for Sapling Tree Gen addon done with git diff on the blender-addons folder.

Everything seems to work fine, except when trying to use Animation tab with Pruning activated.

Diff Detail

Event Timeline

Forgot some box.labels missing

Jacques Lucke (JacquesLucke) requested changes to this revision.Dec 17 2018, 2:11 PM

I did not test the addon yet, will do that a little later. Have to figure out what it is supposed to do first.

add_curve_sapling/__init__.py
22

just put your name here

138

This is not how _OT_ is supposed to be used. The name should be group.name or `grop_OT_name'.
I think in this case it is ok to just keep it as it was before.

192

filename: StringProperty()

285

why did you comment that out?

add_curve_sapling/utils.py
830

Note: the syntax highlighting is very irritating here. The code below is not actually commented out but the code above.

Why did you put FIXME here? Could you just fix it or explain more clearly what is wrong?

966

what are af2 and af3? That looks wrong.

1606

you did not have to fix this comment.

This revision now requires changes to proceed.Dec 17 2018, 2:11 PM
CansecoGPC (CansecoGPC) marked 12 inline comments as done.EditedDec 17 2018, 4:40 PM
CansecoGPC (CansecoGPC) updated this revision to Diff 12941.

Changes requests done.

CansecoGPC (CansecoGPC) marked an inline comment as done and an inline comment as not done.Dec 17 2018, 5:08 PM
CansecoGPC (CansecoGPC) added inline comments.
add_curve_sapling/__init__.py
285

It was giving an error. Didn't see description line didn't had a comma at the end. Solved

add_curve_sapling/utils.py
830

The code above was already commented, FIXME was for the code below it. Removed FIXME.

Make a Tree, activate Prune in Pruning tab, activate User Armature in Armature tab, crash.

Same happens with Use Animation in Animation tab if you do everything and activate Prune at the end.

Still don't know how to fix it.

966

It was asking for a count parameter, still learning how this works, changed for 1 instead.

CansecoGPC (CansecoGPC) marked an inline comment as done.Dec 17 2018, 5:10 PM
CansecoGPC (CansecoGPC) added inline comments.
add_curve_sapling/utils.py
1606

Must have been while using Ctrl+r with Kate for automated replacement. Fixed.

Tested it now. Seems to work except for the bug you mentioned. If this bug did not exist in Blender 2.79 we should fix it somehow. Otherwise this can be merged as is now.

(Took me a while to apply the diff locally due to merge conflicts that I didn't really understand. How did you create this diff; what did you use as base?)

add_curve_sapling/utils.py
830

I see, don't know how to fix that right now either. Did the same bug appear in Blender 2.79?

966

Yes I think it was changed again, so that the count parameter does not have to be a keyword argument.

CansecoGPC (CansecoGPC) marked an inline comment as done.Dec 17 2018, 6:39 PM
CansecoGPC (CansecoGPC) added inline comments.
add_curve_sapling/utils.py
830

Tried with 2.79b stable from blender homepage, and with 2.79b 32432d91 from official Manjaro repos, and it has the same error.

I thought it worked with a previous version, but i was wrong.

CansecoGPC (CansecoGPC) marked an inline comment as done.Dec 17 2018, 6:39 PM

I did clone the Blender2.8 addons folder directly and made: git diff > sapling_tree_gen.patch from the addon folder.
Maybe i should do it from addons root folder next time...

CansecoGPC (CansecoGPC) marked an inline comment as done.Dec 17 2018, 7:24 PM

I did clone the Blender2.8 addons folder directly and made: git diff > sapling_tree_gen.patch from the addon folder.
Maybe i should do it from addons root folder next time...

Hm maybe, not sure whats the best way to do it.
Will merge it now.

This revision is now accepted and ready to land.Dec 18 2018, 11:07 AM
This revision was automatically updated to reflect the committed changes.